--- old/usr/src/head/langinfo.h	Sun Jun  8 22:09:48 2014
+++ new/usr/src/head/langinfo.h	Sun Jun  8 22:09:48 2014
@@ -27,12 +27,14 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 
+
 #ifndef	_LANGINFO_H
 #define	_LANGINFO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.2	*/
-
 #include <sys/feature_tests.h>
 #include <nl_types.h>
 
@@ -150,6 +152,19 @@
 char   *nl_langinfo();		/* get a string from the database	*/
 #endif
 
+#if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
+#ifndef	_LOCALE_T
+#define	_LOCALE_T
+typedef struct locale *locale_t;
+#endif
+
+#if defined(__STDC__)
+char	*nl_langinfo_l(nl_item, locale_t);
+#else
+char	*nl_langinfo_l();
+#endif
+#endif
+
 #ifdef	__cplusplus
 }
 #endif
